"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findOneAndUpdate = void 0;
function findOneAndUpdate(searchValue, updateValue) {
    let index;
    if (typeof searchValue === 'function') {
        index = this.findIndex(searchValue);
    }
    else {
        index = this.findIndex((value) => value === searchValue);
    }
    if (index === -1) {
        return false;
    }
    this[index] = updateValue;
    return true;
}
exports.findOneAndUpdate = findOneAndUpdate;
